// var xslFile = "number-total.xsl";
// var xmlFile = "number-list.xml";
var xslFile = "total-sales.xsl";
var xmlFile = "booklist.xml";

var storyXML = WScript.CreateObject("MSXML2.DOMDocument");
var storyXSL = WScript.CreateObject("MSXML2.DOMDocument");
storyXML.async = false;
storyXSL.async = false;

if(storyXML.load(xmlFile) == false ||
   storyXML.parseError != 0)
{
   var err = storyXML.parseError;
   WScript.echo("Błąd w czasie przetwarzania pliku XML");
   WScript.echo(err.reason);
   WScript.echo("Położenie pliku " + err.filepos);
   WScript.echo("Numer wiersza " + err.line);
   WScript.echo("Położenie znaku " + err.linepos);
}

if(storyXSL.load(xslFile) == false ||
   storyXSL.parseError != 0)
{
   var err = storyXSL.parseError;
   WScript.echo("Błąd w czasie przetwarzania pliku XML");
   WScript.echo(err.reason);
   WScript.echo("Położenie pliku " + err.filepos);
   WScript.echo("Numer wiersza " + err.line);
   WScript.echo("Położenie znaku " + err.linepos);
}
var nsmlStory = storyXML.transformNode(storyXSL);
WScript.echo(nsmlStory);
